@import './styles/digi-docs-token-demo.variables.scss';

:host {
  display: block;

  .digi-docs-token-demo {
    @include digi-docs-token-demo--variables();

    width: var(--digi-docs-token-demo--size);
    height: var(--digi-docs-token-demo--size);
    background: var(--digi-docs-token-demo--background);
    border-radius: var(--digi-docs-token-demo--border-radius);
    border-width: var(--digi-docs-token-demo--border-width);
    border-style: var(--digi-docs-token-demo--border-style);
    border-color: var(--digi-docs-token-demo--border-color);
    box-sizing: border-box;

    font-size: var(--digi-docs-token-demo--font-size);
    text-decoration: var(--digi-docs-token-demo--text-decoration);
    font-weight: var(--digi-docs-token-demo--font-weight);
    line-height: var(--digi-docs-token-demo--line-height);

    animation-duration: var(--digi-docs-token-demo--animation-duration);

    &--border-layout {
      --digi-docs-token-demo--background: var(
        --digi-docs-token-demo--background--border-layout
      );
      --digi-docs-token-demo--border-color: var(
        --digi-docs-token-demo--border-color--border-layout
      );
    }

    &--size-layout {
      --digi-docs-token-demo--background: var(
        --digi-docs-token-demo--background--size-layout
      );
      --digi-docs-token-demo--border-color: var(
        --digi-docs-token-demo--border-color--size-layout
      );
      border-left: none;
      border-right: none;
    }
    &--typo-layout {
      --digi-docs-token-demo--background: var(
        --digi-docs-token-demo--background--typo-layout
      );
    }
    &--animation-layout {
      --digi-docs-token-demo--background: var(
        --digi-docs-token-demo--background--animation-layout
      );

      // @keyframes spin {
      // from {
      // 	transform: rotate(0deg);
      // }
      // to {
      // 	transform: rotate(var(--digi-docs-token-demo--animation-rotation));
      // }
      // 	to { transform: rotate(var(--digi-docs-token-demo--animation-rotation)) }
      // }
      // transform: rotate(--digi-docs-token-demo--animation--rotation);
      // transform: rotate(var(--digi-docs-token-demo--animation-rotation));
      // animation-duration: 1s;
      // animation-timing-function: linear;
      // animation-delay: 0s;
      // animation-iteration-count: infinite;
      // animation-direction: normal;
      // animation-fill-mode: both;
      // animation-play-state: running;
      // animation-name: spin;
    }
  }
}
